Bug 1122194 - Syntax error in oo-diagnostics in line#1306
Summary: Syntax error in oo-diagnostics in line#1306
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Miciah Dashiel Butler Masters
QA Contact: libra bugs
URL:
Whiteboard:
Depends On: 1122020
Blocks: 1121266
TreeView+ depends on / blocked
 
Reported: 2014-07-22 18:16 UTC by Brenton Leanhardt
Modified: 2014-07-24 18:58 UTC (History)
8 users (show)

Fixed In Version: openshift-origin-broker-util-1.23.8.7-1.el6op
Doc Type: Bug Fix
Doc Text:
Clone Of: 1122020
Environment:
Last Closed: 2014-07-24 18:58:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0999 normal SHIPPED_LIVE Red Hat OpenShift Enterprise 2.1.4 bug fix and enhancement update 2014-08-04 17:26:43 UTC

Description Brenton Leanhardt 2014-07-22 18:16:09 UTC
+++ This bug was initially created as a clone of Bug #1122020 +++

Description of problem:
The key word 'def' is missing in the definition of method 'test_node_clock_in_synch_with_broker' in oo-diagnostics
See https://github.com/openshift/origin-server/blob/master/common/bin/oo-diagnostics#L1306

Version-Release number of selected component (if applicable):
On devenv_4992

How reproducible:
Always

Steps to Reproduce:
1. oo-diagnostics

Actual results:
[root@ip-10-144-207-61 ~]# oo-diagnostics
/usr/sbin/oo-diagnostics:1346: syntax error, unexpected keyword_end, expecting $end
end #class OODiag


Expected results:
Should not be broken

Additional info:

--- Additional comment from Derek Carr on 2014-07-22 13:58:25 EDT ---

Fixed in PR: https://github.com/openshift/origin-server/pull/5639

Comment 1 Miciah Dashiel Butler Masters 2014-07-23 01:36:41 UTC
PR: https://github.com/openshift/enterprise-server/pull/337

Comment 4 Anping Li 2014-07-24 02:19:10 UTC
Verified and pass on puddle-2-1-2014-07-23.

1)I can recreated it on my broker puddle-2-1-2014-07-22
[root@br200 ~]# oo-diagnostics -v
/usr/sbin/oo-diagnostics:1472: syntax error, unexpected keyword_end, expecting $end
end #class OODiag

2) On puddle-2-1-2014-07-23
[root@br200 ~]# oo-diagnostics -v
INFO: loading list of installed packages
INFO: OpenShift broker installed.
INFO: Loading the broker rails environment.
INFO: running: prereq_dns_server_available
INFO: checking that the first server in /etc/resolv.conf responds
INFO: running: prereq_domain_resolves
INFO: checking that we can resolve our application domain
INFO: running: test_enterprise_rpms
INFO: Checking that all OpenShift RPMs are actually from OpenShift Enterprise
INFO: running: test_selinux_policy_rpm
INFO: rpm selinux-policy installed with at least version 3.7.19-195.el6_4.4
INFO: running: test_selinux_enabled

Comment 5 Miciah Dashiel Butler Masters 2014-07-24 18:58:43 UTC
This bug never shipped in OSE, so there is no need to mention it in errata.


Note You need to log in before you can comment on or make changes to this bug.